import { useCallback } from 'react'
import { Button, Card, CardActions, CardContent, CardHeader, TextField } from '@mui/material'
import { useSignupMutation } from '../graphql'

function SignUp() {
  const [signup] = useSignupMutation()
  const handleSubmit = useCallback((evt: React.FormEvent) => {
    evt.preventDefault()
    signup({ variables: { email: (evt.target as any).elements.email.value } })
  }, [signup])

  return <Card component="form" onSubmit={handleSubmit}>
    <CardHeader title="Create your account" titleTypographyProps={{ variant: 'h5', gutterBottom: true }} />
    <CardContent>
      <TextField variant="filled" label="Your email" name="email" fullWidth />
    </CardContent>
    <CardActions sx={{ justifyContent: 'end' }}>
      <Button variant="contained" size="large" type="submit">Signup</Button>
    </CardActions>
  </Card>
}

export default SignUp
